## golang-github-getsentry-sentry-go 0.29.1

=== Makefile ===
.DEFAULT_GOAL := help

MKFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
MKFILE_DIR := $(dir $(MKFILE_PATH))
ALL_GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)
GO = go
TIMEOUT = 300

# Parse Makefile and display the help
help: ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
.PHONY: help

build: ## Build everything
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go build' for module: $${dir}"; \
		go build ./...; \
	done;
.PHONY: build

### Tests (inspired by https://github.com/open-telemetry/opentelemetry-go/blob/main/Makefile)
TEST_TARGETS := test-short test-verbose test-race
test-race:    ARGS=-race
test-short:   ARGS=-short
test-verbose: ARGS=-v -race
$(TEST_TARGETS): test
test: $(ALL_GO_MOD_DIRS:%=test/%)  ## Run tests
test/%: DIR=$*
test/%:
	@echo ">>> Running tests for module: $(DIR)"
	@# We use '-count=1' to disable test caching.
	(cd $(DIR) && $(GO) test -count=1 -timeout $(TIMEOUT)s $(ARGS) ./...)
.PHONY: $(TEST_TARGETS) test

# Coverage
COVERAGE_MODE    = atomic
COVERAGE_PROFILE = coverage.out
COVERAGE_REPORT_DIR = .coverage
COVERAGE_REPORT_DIR_ABS = "$(MKFILE_DIR)/$(COVERAGE_REPORT_DIR)"
$(COVERAGE_REPORT_DIR):
	mkdir -p $(COVERAGE_REPORT_DIR)
clean-report-dir: $(COVERAGE_REPORT_DIR)
	test $(COVERAGE_REPORT_DIR) && rm -f $(COVERAGE_REPORT_DIR)/*
test-coverage: $(COVERAGE_REPORT_DIR) clean-report-dir  ## Test with coverage enabled
	set -e ; \
	for dir in $(ALL_GO_MOD_DIRS); do \
	  echo ">>> Running tests with coverage for module: $${dir}"; \
	  DIR_ABS=$$(python -c 'import os, sys; print(os.path.realpath(sys.argv[1]))' $${dir}) ; \
	  REPORT_NAME=$$(basename $${DIR_ABS}); \
	  (cd "$${dir}" && \
	    $(GO) test -count=1 -timeout $(TIMEOUT)s -coverpkg=./... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" ./... && \
		cp $(COVERAGE_PROFILE) "$(COVERAGE_REPORT_DIR_ABS)/$${REPORT_NAME}_$(COVERAGE_PROFILE)" && \
	    $(GO) tool cover -html=$(COVERAGE_PROFILE) -o coverage.html); \
	done;
.PHONY: test-coverage clean-report-dir

mod-tidy: ## Check go.mod tidiness
	set -e ; \
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go mod tidy' for module: $${dir}"; \
		go mod tidy -go=1.18 -compat=1.18; \
	done; \
	git diff --exit-code;
.PHONY: mod-tidy

vet: ## Run "go vet"
	set -e ; \
	for dir in $(ALL_GO_MOD_DIRS); do \
		cd "$${dir}"; \
		echo ">>> Running 'go vet' for module: $${dir}"; \
		go vet ./...; \
	done;
.PHONY: vet

lint: ## Lint (using "golangci-lint")
	golangci-lint run
.PHONY: lint

fmt: ## Format all Go files
	gofmt -l -w -s .
.PHONY: fmt

## golang-github-getsentry-sentry-go 0.9.0

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.9.0-2) unstable; urgency=medium

  * Re-upload without binaries.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Jan 2021 04:58:36 +0100

golang-github-getsentry-sentry-go (0.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 19:58:05 +0100

=== debian/control ===
Source: golang-github-getsentry-sentry-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-golang, golang-any,
	golang-github-gin-gonic-gin-dev,
	golang-github-go-errors-errors-dev,
	golang-github-google-go-cmp-dev,
	golang-github-pkg-errors-dev,
	golang-github-valyala-fasthttp-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
Homepage: https://github.com/getsentry/sentry-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/getsentry/sentry-go

Package: golang-github-getsentry-sentry-go-dev
Architecture: all
Depends: golang-github-gin-gonic-gin-dev,
         golang-github-go-errors-errors-dev,
         golang-github-google-go-cmp-dev,
         golang-github-pkg-errors-dev,
         golang-github-urfave-negroni-dev,
         golang-github-valyala-fasthttp-dev,
         ${misc:Depends}
Description: Official Sentry SDK for Go (library)
 sentry-go provides a Sentry client implementation for the Go
 programming language. This is the next line of the Go SDK for Sentry
 (https://sentry.io/), intended to replace the raven-go package.

=== debian/rules ===
#!/usr/bin/make -f

# the dependencies of these modules have not yet been packaged for Debian
export DH_GOLANG_EXCLUDES := ^github\.com/getsentry/sentry-go/(echo|example/.+|fasthttp_|gin_|iris|martini|negroni)$$

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# some tests depend on modules that have not yet been packaged for Debian
override_dh_auto_test:

## golang-github-getsentry-sentry-go 0.11.0

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 19 Sep 2021 00:12:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	golang-github-gin-gonic-gin-dev,
 	golang-github-go-errors-errors-dev,
 	golang-github-google-go-cmp-dev,
+	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
 	golang-github-valyala-fasthttp-dev,
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f

# the dependencies of these modules have not yet been packaged for Debian
export DH_GOLANG_EXCLUDES := ^github\.com/getsentry/sentry-go/(example/.+|fasthttp_|gin_|iris|martini|negroni)$$

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# some tests depend on modules that have not yet been packaged for Debian
override_dh_auto_test:

## golang-github-getsentry-sentry-go 0.24.1

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.24.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Sep 2023 22:42:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
 	golang-github-google-go-cmp-dev,
 	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
+	golang-github-sirupsen-logrus-dev,
 	golang-github-valyala-fasthttp-dev,
-Standards-Version: 4.5.0
+	golang-opentelemetry-otel-dev,
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
 Homepage: https://github.com/getsentry/sentry-go
@@ -20,13 +22,16 @@
 
 Package: golang-github-getsentry-sentry-go-dev
 Architecture: all
-Depends: golang-github-gin-gonic-gin-dev,
-         golang-github-go-errors-errors-dev,
-         golang-github-google-go-cmp-dev,
-         golang-github-pkg-errors-dev,
-         golang-github-urfave-negroni-dev,
-         golang-github-valyala-fasthttp-dev,
-         ${misc:Depends}
+Depends:
+	golang-github-gin-gonic-gin-dev,
+	golang-github-go-errors-errors-dev,
+	golang-github-google-go-cmp-dev,
+	golang-github-pkg-errors-dev,
+	golang-github-sirupsen-logrus-dev,
+	golang-github-urfave-negroni-dev,
+	golang-github-valyala-fasthttp-dev,
+	golang-opentelemetry-otel-dev,
+	${misc:Depends}
 Description: Official Sentry SDK for Go (library)
  sentry-go provides a Sentry client implementation for the Go
  programming language. This is the next line of the Go SDK for Sentry

## golang-github-getsentry-sentry-go 0.29.1

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.29.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 21 Oct 2024 00:45:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

# the dependencies of these modules have not yet been packaged for Debian
export DH_GOLANG_EXCLUDES := ^github\.com/getsentry/sentry-go/(example/.+|fasthttp_|fiber|gin_|iris|negroni)$$

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# some tests depend on modules that have not yet been packaged for Debian
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-getsentry-sentry-go-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/getsentry/sentry-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-getsentry-sentry-go 0.40.0

=== Makefile ===
--- 
+++ 
@@ -54,13 +54,23 @@
 	    $(GO) tool cover -html=$(COVERAGE_PROFILE) -o coverage.html); \
 	done;
 .PHONY: test-coverage clean-report-dir
-
+test-race-coverage: $(COVERAGE_REPORT_DIR) clean-report-dir  ## Run tests with race detection and coverage
+	set -e ; \
+	for dir in $(ALL_GO_MOD_DIRS); do \
+	  echo ">>> Running tests with race detection and coverage for module: $${dir}"; \
+	  DIR_ABS=$$(python -c 'import os, sys; print(os.path.realpath(sys.argv[1]))' $${dir}) ; \
+	  REPORT_NAME=$$(basename $${DIR_ABS}); \
+	  (cd "$${dir}" && \
+	    $(GO) test -count=1 -timeout $(TIMEOUT)s -race -coverpkg=./... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" ./... && \
+		cp $(COVERAGE_PROFILE) "$(COVERAGE_REPORT_DIR_ABS)/$${REPORT_NAME}_$(COVERAGE_PROFILE)" && \
+	    $(GO) tool cover -html=$(COVERAGE_PROFILE) -o coverage.html); \
+	done;
+.PHONY: test-race-coverage
 mod-tidy: ## Check go.mod tidiness
 	set -e ; \
 	for dir in $(ALL_GO_MOD_DIRS); do \
-		cd "$${dir}"; \
 		echo ">>> Running 'go mod tidy' for module: $${dir}"; \
-		go mod tidy -go=1.18 -compat=1.18; \
+		(cd "$${dir}" && GOTOOLCHAIN=local go mod tidy -go=1.23.0 -compat=1.23); \
 	done; \
 	git diff --exit-code;
 .PHONY: mod-tidy
@@ -68,11 +78,11 @@
 vet: ## Run "go vet"
 	set -e ; \
 	for dir in $(ALL_GO_MOD_DIRS); do \
-		cd "$${dir}"; \
 		echo ">>> Running 'go vet' for module: $${dir}"; \
-		go vet ./...; \
+		(cd "$${dir}" && go vet ./...); \
 	done;
 .PHONY: vet
+
 
 lint: ## Lint (using "golangci-lint")
 	golangci-lint run

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.40.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 2026 01:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang, golang-any,
+	golang-github-buger-jsonparser-dev,
 	golang-github-gin-gonic-gin-dev,
 	golang-github-go-errors-errors-dev,
 	golang-github-google-go-cmp-dev,
 	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
+	golang-github-rs-zerolog-dev,
 	golang-github-sirupsen-logrus-dev,
 	golang-github-valyala-fasthttp-dev,
 	golang-opentelemetry-otel-dev,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
 Homepage: https://github.com/getsentry/sentry-go
